/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.rs.runtime.rs;

import com.sun.jersey.api.core.DefaultResourceConfig;
import java.util.Map;
import java.util.Set;

/**
 * @version $Rev: 4739 $ $Date: 2008-06-05 19:39:31 +0100 (Thu, 05 Jun 2008) $
 */
public class Fabric3ResourceConfig extends DefaultResourceConfig {

    Fabric3ComponentProvider provider;
    Map initProperties;

    public Fabric3ResourceConfig(Map props) {
        initProperties = props;
    }

    public void setProvider(Fabric3ComponentProvider provider) {
        this.provider = provider;
    }

    @Override
    public Set<Class<?>> getResourceClasses() {
        return provider.getResourceClasses();
    }

    @Override
    public Set<Class<?>> getProviderClasses() {
        return provider.getProviderClasses();
    }
}
